# $Revision: 1.6 $, $Date: 2011/02/05 15:52:10 $
Summary:	Graphical frontend for pam_bioapi enrollment
Summary(pl.UTF-8):	Graficzny interfejs do rejestrowania pam_bioapi
Name:		biometrics-manager
Version:	0.4.0
Release:	1
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	http://pam-bioapi.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	a6bc4a8629ad6ed1fa3d497a2c5cd415
Patch0:		%{name}-docdir.patch
Patch1:		%{name}-use_hicolor.patch
URL:		http://code.google.com/p/pam-bioapi/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libglade2-devel >= 2.0
BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is graphical frontend for pam_bioapi enrollment. It uses GNOME
(glade) libs.

%description -l pl.UTF-8
Ten pakiet zawiera graficzny interfejs do rejestrowania pam_bioapi.
Wykorzystuje biblioteki GNOME (glade).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
/etc/pam.d/%{name}
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%{_desktopdir}/fingerprint-manager.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/glade
%{_datadir}/%{name}/glade/fingerprint-manager.glade
%{_datadir}/%{name}/glade/hands.png
%{_iconsdir}/hicolor/*/devices/fingerprint.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: biometrics-manager.spec,v $
Revision 1.6  2011/02/05 15:52:10  wiget
- rel. 1

Revision 1.5  2011/02/04 18:23:36  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.4  2007/09/01 14:43:39  qboosh
- pl
- BR: pkgconfig

Revision 1.3  2007/08/31 17:43:58  megabajt
- added use_hicolor patch; %update_icon_cache
- release 0.3

Revision 1.2  2007/08/31 16:22:37  wolvverine
- add lost dir

Revision 1.1  2007/08/31 16:09:54  wolvverine
- init
